chore: Ensure cleanup always happens.

This commit is contained in:
Ruben Verborgh 2020-10-31 17:06:58 +01:00 committed by Joachim Van Herwegen
parent f798fc1374
commit 9e5b89aeaa

View File

@ -1,5 +1,4 @@
#!/bin/bash #!/usr/bin/env bash
set -e
# Start server # Start server
npm start & npm start &
@ -7,7 +6,6 @@ PID=$!
# Initialize tests # Initialize tests
pushd test/tmp pushd test/tmp
rm -rf solid-crud-tests
git clone https://github.com/solid/solid-crud-tests git clone https://github.com/solid/solid-crud-tests
cd solid-crud-tests cd solid-crud-tests
git checkout v0.1.1 git checkout v0.1.1
@ -19,7 +17,9 @@ export ALICE_WEBID_DOC=$SERVER_ROOT/profile.ttl
export ALICE_WEBID=$ALICE_WEBID#me export ALICE_WEBID=$ALICE_WEBID#me
curl -X PUT $ALICE_WEBID_DOC -d '<#me> <http://www.w3.org/ns/pim/space#storage> </>.' curl -X PUT $ALICE_WEBID_DOC -d '<#me> <http://www.w3.org/ns/pim/space#storage> </>.'
npm run jest npm run jest
RESULT=$?
# Clean up # Clean up
kill $PID kill $PID
popd popd
exit $RESULT